# Created by pyp2rpm-3.3.8
%global pypi_name oauth2token
%global pypi_version 0.0.3

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        Oauth2 token management for cli applications

License:        None
URL:            https://github.com/VannTen/oauth2token
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
 Oauth2token Simple cli tools to create and use oauth2token Configuration --You
need to create :code:config.json and :code:scopes.json at
:code:$XDG_CONFIG_HOME/oauth2token/<provider>/ for each provider you want
:code:config.json The main configuration file. Follow the format on
client_secret.json_, using your own information obtained from your provider...
_client_secret.json: (Just change the...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(google-auth-oauthlib)
Requires:       python3dist(pyxdg)
%description -n python3-%{pypi_name}
 Oauth2token Simple cli tools to create and use oauth2token Configuration --You
need to create :code:config.json and :code:scopes.json at
:code:$XDG_CONFIG_HOME/oauth2token/<provider>/ for each provider you want
:code:config.json The main configuration file. Follow the format on
client_secret.json_, using your own information obtained from your provider...
_client_secret.json: (Just change the...


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{_bindir}/oauth2create
%{_bindir}/oauth2get
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Tue Oct 04 2022 mockbuilder - 0.0.3-1
- Initial package.